Subject: RE: [Fwd: draft-ietf-pwe3-control-protocol-02.txt]

From: "David Allan" <[email-masked]>
Date: Sat, 22 Mar 2003 11:33:48 -0500

Eric:

You wrote....

> I was just trying to refute the anticipated argument which 
> says "it's better to  use  the  data plane,  because  that  
> maintains  the sequencing  of  the fault/status events with the data".
> 

OK i kinda got that feeling, IMHO there are reasons for using either. I
would prefer data plane for the following reasons:

1) Data plane mechanisms will have faster propagation in the general case
(more than one hop),

2) the usual reliability solution (emplyed in other technologies) is simple
repetition so it can have similar dependability without use of TCP or other
handshaking based reliability mechanisms

3) will have minimal dependencies on any shared components which I would
beleive translates into better scalability/reliability/timeliness esp. when
the network is under stress.

I wasn't that worried about relative packet position, and as you note, where
data plane mechanisms do not have path fate sharing (which we are all
struggling with), it is not guaranteed ;-)

cheers
Dave

> -----Original Message-----
> From: Eric Rosen [mailto:[email-masked]] 
> Sent: Friday, March 21, 2003 3:12 PM
> To: Allan, David [CAR:NS00:EXCH]
> Cc: 'Luca Martini'; [email-masked]
> Subject: Re: [PWE3] [Fwd: draft-ietf-pwe3-control-protocol-02.txt] 
> 
> 
> Eric> Note also that passing the info in the data plane does not 
> Eric> necessarily preserve the  sequencing of  the fault info 
>  with the 
> Eric> data,  since the data is not necessarily sequenced.
> 
> David> Not clear  how any other solution  would come closer  
> even when 
> David> there was not sequencing? Could you clarify?
> 
> I  didn't  mean  to suggest  that  using  the  control plane  
> maintains  the sequencing better, when there is no sequencing 
> to begin with ;-)
>